<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
	xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 https://maven.apache.org/xsd/maven-4.0.0.xsd">
	<modelVersion>4.0.0</modelVersion>
	<parent>
		<groupId>org.springframework.boot</groupId>
		<artifactId>spring-boot-starter-parent</artifactId>
		<version>2.5.4</version>
		<relativePath/> <!-- lookup parent from repository -->
	</parent>
	<groupId>org.ccalm</groupId>
	<artifactId>weather</artifactId>
	<version>0.0.4-SNAPSHOT</version>
	<name>weather</name>
	<description>Demo project for Spring Boot</description>
	<properties>
		<java.version>17</java.version>
		<start-class>org.ccalm.weather.WeatherApplication</start-class>
	</properties>
	<!--repositories>
		<repository>
			<id>boundless</id>
			<name>Boundless Repository</name>
			<url>https://repo.boundlessgeo.com/main/</url>
		</repository>
	</repositories-->
	<dependencies>
		<dependency>
			<groupId>org.springframework.boot</groupId>
			<artifactId>spring-boot-starter-web</artifactId>
		</dependency>

		<dependency>
			<groupId>org.postgresql</groupId>
			<artifactId>postgresql</artifactId>
			<scope>runtime</scope>
		</dependency>
		<dependency>
			<groupId>org.springframework.boot</groupId>
			<artifactId>spring-boot-starter-test</artifactId>
			<scope>test</scope>
		</dependency>

		<!-- https://mvnrepository.com/artifact/org.gdal/gdal -->
		<!--dependency>
		    <groupId>org.gdal</groupId>
		    <artifactId>gdal</artifactId>
		    <version>2.4.0</version>
		    <scope>system</scope>
		    <systemPath>O:/projects/_Libs/gdal-2.4.0.jar</systemPath>
		</dependency-->

		<!-- https://mvnrepository.com/artifact/edu.ucar/netcdfAll -->
		<dependency>
			<groupId>edu.ucar</groupId>
			<artifactId>netcdfAll</artifactId>
			<version>5.3.1</version>
			<type>jar</type>
			<scope>system</scope>
			<systemPath>O:/projects/Workspace_Java/CCALM_weather/src/main/lib/netcdfAll-5.3.1.jar</systemPath>
		</dependency>

	</dependencies>

	<build>
		<plugins>
			<plugin>
				<groupId>org.springframework.boot</groupId>
				<artifactId>spring-boot-maven-plugin</artifactId>
			</plugin>

			<!--plugin>
				<groupId>org.apache.maven.plugins</groupId>
				<artifactId>maven-install-plugin</artifactId>
				<executions>
					<execution>
						<id>install-external</id>
						<phase>clean</phase>
						<configuration>
							<file>O:/projects/Workspace_Java/CCALM_weather/src/main/lib/netcdfAll-5.3.1.jar</file>
							<repositoryLayout>default</repositoryLayout>
							<groupId>edu.ucar</groupId>
							<artifactId>netcdfAll</artifactId>
							<version>5.3.1</version>
							<packaging>jar</packaging>
							<generatePom>true</generatePom>
						</configuration>
						<goals>
							<goal>install-file</goal>
						</goals>
					</execution>
				</executions>
			</plugin-->


		</plugins>
	</build>

</project>
